Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 24 Jul 2014, 09:20
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
LupQ-510s FINALIZED - Lucid Puppy Quickset edition
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 15 [221 Posts]   Goto page: Previous 1, 2, 3, 4, 5, ..., 13, 14, 15 Next
Author Message
charlie6

Joined: 30 Jun 2008
Posts: 992
Location: South of Belgium

PostPosted: Wed 18 Aug 2010, 02:12    Post subject:
Subject description: /invalidfont in /findfont error while opening a .ps file (solved - see next pages)
 

Hi shinobar,
on lupq-003, got this error while opening a .ps file which is readable in pup420.
This the error code I got.
I think it could be a problem of missing installed font, does'nt it?
Code:
# gv rf07kbs.ps
Error: /invalidfont in /findfont
Operand stack:
   courier   Courier
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2    stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1    stopped_push   1878   1   3   %oparray_pop   1877   1   3   %oparray_pop   - nostringval--   1861   1   3   %oparray_pop   1755   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2    stopped_push   --nostringval--   1836   2   4   %oparray_pop
Dictionary stack:
   --dict:1157/1684(ro)(G)--   --dict:0/20(G)--   --dict:76/200(L)--   --dict:22/64(L)--
Current allocation mode is local
Last OS error: 2
Current file position is 2262
GPL Ghostscript 8.71: Unrecoverable error, exit code 1
^C# ^C
#


Could it be the same problem as the one mentionned here?
http://www.murga-linux.com/puppy/viewtopic.php?p=384947&sid=b47d232a08633bfc8f8ab5eb4b598a35
There is a puppy-fonts.tar.gz file proposed by zigbert (thanks Sigmund!) - could it help and where to place those fonts?

Thanks for any answer
Cheers, Charlie

Last edited by charlie6 on Sun 05 Sep 2010, 04:22; edited 1 time in total
Back to top
View user's profile Send private message 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Wed 18 Aug 2010, 04:17    Post subject:  

Hope it is okay to ask.

I am in Quirky 1.2 now so can not look. I mean which come on first by default?

How do I know if I am using jwm or the icewm version on the lupq I did test yesterday?

Quote:
What could be the size of lupq.iso if icewm is removed?

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2586
Location: Japan

PostPosted: Wed 18 Aug 2010, 04:36    Post subject: Time does not stay on 004
Subject description: rc.country update
 

maxpro4u wrote:
Test-frugal install of 004- 1st bug-Time does not stay upon reboot(EST).

Thanks.
Try the updated script of 'rc.country' attached.

Download, extract, and find /etc/rc.d/rc.country.
Overwrite /etc/rc.d/rc.country with it.
rc_country-20100818.tar.gz
Description  Oerwrite the existing
/etc/rc.d/rc.country
gz

 Download 
Filename  rc_country-20100818.tar.gz 
Filesize  2.6 KB 
Downloaded  345 Time(s) 
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2586
Location: Japan

PostPosted: Wed 18 Aug 2010, 05:46    Post subject: misc fonts
Subject description: /invalidfont in /findfont error while opening a .ps file
 

charlie6 wrote:
Hi shinobar,
on lupq-003, got this error while opening a .ps file which is readable in pup420.
This the error code I got.
I think it could be a problem of missing installed font, does'nt it?

Can be.
Extract the attached and find '/usr/share/fonts/misc'. Place the whole directory 'misc' at the corresponding place.
After that, you may have to run on the virtual terminal: EDIT: was not 'fc-chace'... anyway you may not have to.
Code:
fc-cache


It adds Courier, Fixed, and Helvetica. You can see them by 'Gfontsel' at the Desktop Applets on the menu.
misc_fonts-lupq.tar.gz
Description  Courier, Fixed, and Helvetica. to be placed in /usr/share/fonts/misc
gz

 Download 
Filename  misc_fonts-lupq.tar.gz 
Filesize  43.77 KB 
Downloaded  367 Time(s) 

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html

Last edited by shinobar on Thu 19 Aug 2010, 12:47; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2586
Location: Japan

PostPosted: Wed 18 Aug 2010, 07:33    Post subject: again icewm  

nooby wrote:
What could be the size of lupq.iso if icewm is removed?

Both lupu-510 and lupq at this point of time, jwm is the default and switchable to icewm.

Icewm maybe 1MB or so (i am not sure on the ram or on the .iso).
But i think the cost of maintenance what the developers, translators and maintainer have to pay.
I never think it a wise way to have two windowmanager on one distribution.
I know many guys like icewm and we have developers good at icewm. But still i think icewm can be a additional package for whom like it.

One windowmanager for one distribution. Then jwm or icewm?
I know some trouble with jwm, but is it significant such as we must move to icewm?

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
maxpro4u


Joined: 19 Jun 2010
Posts: 290
Location: Rittman,Ohio,USA, In dog years,I'm dead

PostPosted: Wed 18 Aug 2010, 19:39    Post subject: Re: Time does not stay on 004
Subject description: rc.country update
 

shinobar wrote:
maxpro4u wrote:
Test-frugal install of 004- 1st bug-Time does not stay upon reboot(EST).

Thanks.
Try the updated script of 'rc.country' attached.

Download, extract, and find /etc/rc.d/rc.country.
Overwrite /etc/rc.d/rc.country with it.


OK I did that- Eastern US is not correct- if I set it to -5GMT it is fine and stays upon reboot. I will check my settings on lupu 508 and QuickSet003 and see what I used.

_________________
Dell D610 1.7M w/1024mb
Testing Slacko and a few others
I'm Max Wachtel and I approve this message.
Registered Linux User #393236
Back to top
View user's profile Send private message Visit poster's website Yahoo Messenger MSN Messenger 
maxpro4u


Joined: 19 Jun 2010
Posts: 290
Location: Rittman,Ohio,USA, In dog years,I'm dead

PostPosted: Wed 18 Aug 2010, 20:49    Post subject: Re: Time does not stay on 004
Subject description: rc.country update
 

maxpro4u wrote:
shinobar wrote:
maxpro4u wrote:
Test-frugal install of 004- 1st bug-Time does not stay upon reboot(EST).

Thanks.
Try the updated script of 'rc.country' attached.

Download, extract, and find /etc/rc.d/rc.country.
Overwrite /etc/rc.d/rc.country with it.


OK I did that- Eastern US is not correct- if I set it to -5GMT it is fine and stays upon reboot. I will check my settings on lupu 508 and QuickSet003 and see what I used.


well I checked my settings and after setting it to Eastern,then used "set date and time",and then used the sync time- reboot again,all stayed correct! yea!

_________________
Dell D610 1.7M w/1024mb
Testing Slacko and a few others
I'm Max Wachtel and I approve this message.
Registered Linux User #393236
Back to top
View user's profile Send private message Visit poster's website Yahoo Messenger MSN Messenger 
charlie6

Joined: 30 Jun 2008
Posts: 992
Location: South of Belgium

PostPosted: Thu 19 Aug 2010, 01:11    Post subject:
Subject description: Abiword cannot display bold characters
 

Hi shinobar,
thanks for the misc_fonts.tar.gz . I'll get a try on it soon.

On lupq-004 now as on lupq-003 (on frugal as on live-cd session):
using Abiword, bold characters are not bold displayed.

Cheers, Charlie
Back to top
View user's profile Send private message 
charlie6

Joined: 30 Jun 2008
Posts: 992
Location: South of Belgium

PostPosted: Thu 19 Aug 2010, 01:41    Post subject:
Subject description: mtpaint version was 3.34.40 in lupq-003
 

Hi again shinobar,
many thanks for lupq-004
mtpaint version was 3.34.40 in lupq-003
Is there any problem that led to return back to mtpaint version 3.31 ?
(I noticed it worked nice in lupq-003 even after setup locale to french)
Any possibility to upgrade to 3.34.40 in next lupq?
Or simply install the corresponding v-3.34.40 mtpaint's pet? (where to find it?)
Thanks again
Cheers, Charlie
Back to top
View user's profile Send private message 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Thu 19 Aug 2010, 04:25    Post subject:  

Thanks Shinobar. Actually I quoted Charlie6 from here

http://www.murga-linux.com/puppy/viewtopic.php?p=443126#443126

My personal Q was how one know which of them on use and your answer is that JWM is the default.

So probably me have never tested icewm then.

I will dl 004 today and test it on an old Packard Bell A6 laptop.
I have 002 now and that worked good.

Edit

Upgraded from 002 to 004 and it works.

I tested Opera browser this time but that one seems to fail on some Flash or they have updated and wants one to do same?

I'm back in Quirky again and will test if same sites fail in Quirky.

Thanks for all effort you put into a version that many all over the world can use with local languages.

_________________
I use Google Search on Puppy Forum
not an ideal solution though

Last edited by nooby on Thu 19 Aug 2010, 07:54; edited 1 time in total
Back to top
View user's profile Send private message 
Tasgarth

Joined: 06 Oct 2008
Posts: 202
Location: France, Besancon

PostPosted: Thu 19 Aug 2010, 05:58    Post subject: Tests with two PC  

hi shinobar,

Tests ( two PC)
PC I : AMD2 , Asus M2V, DDR2 1 G, (without Nvidia Driver for GeForce 7600)

TEST I PC I: (Live Cd, Frugal install)
bug n°1 CD >... > "X failed to start xorgwizard"
--- a) I did not use xorgwizard but typed "xwin" (querty) > OK the displayed screen is OK
--- b) Country Settings : fr français > Europe-Paris > UTC > fr 'France) > X server :
=> Menu (fr) : OK
=> Icons : us
--- lang_pack-fr => Icons : OK (fr)
bug n°2 UTC is not good, bad time.
................
Pupsave > reboot
bug n°3 : "X failed to start..." => I typed "xwin" in... AZERTY : OK

-----------------------------------------------

TEST II PC I: Full Install (multi boot): All is OK
Without the bugs of the frugal install.
===============================

TEST III PC II : (AMD Athlon, 514 MB, resolution 1024 X 768) :
Frugal install ... pupsave ... reboot...
All is OK, without bugs


Thanks for your work.
Back to top
View user's profile Send private message Visit poster's website 
maxpro4u


Joined: 19 Jun 2010
Posts: 290
Location: Rittman,Ohio,USA, In dog years,I'm dead

PostPosted: Thu 19 Aug 2010, 08:22    Post subject:
Subject description: taskbar at top using jwm
 

Taskbar will not go to top. Says config corrupt.
003 works but 004 doesn't.
I have the same issue with lupu 508 +510. 508 will go to top but 510 gives error message -config corrupt.

_________________
Dell D610 1.7M w/1024mb
Testing Slacko and a few others
I'm Max Wachtel and I approve this message.
Registered Linux User #393236
Back to top
View user's profile Send private message Visit poster's website Yahoo Messenger MSN Messenger 
shinobar


Joined: 28 May 2009
Posts: 2586
Location: Japan

PostPosted: Thu 19 Aug 2010, 08:25    Post subject: mtpaint version  

charlie6 wrote:
mtpaint version was 3.34.40 in lupq-003
Is there any problem that led to return back to mtpaint version 3.31 ?
(I noticed it worked nice in lupq-003 even after setup locale to french)
Any possibility to upgrade to 3.34.40 in next lupq?

lupq-001-004 has mtpaint version 3.31, same as lupu-510.
The lang_support-all-1.5 has version 3.34.40, comes from 431JP.

Do you like mtpaint version 3.34.40 on lupq-005?
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2586
Location: Japan

PostPosted: Thu 19 Aug 2010, 09:05    Post subject: re: taskbar at top using jwm  

maxpro4u wrote:
Taskbar will not go to top. Says config corrupt.

I am not sure it depends or not on the version of lupq and/or lupu.
anyway, edit /etc/xdg/templates/_root_.jwmrc.
Comment out or delete two '<corner>...' at line 83 and 89.
Code:
<!-- <Corner>white</Corner> -->
<Outline>black</Outline>
</Active>
<Inactive>
<Text>#aaaaaa</Text>
<Title>#fffa71:#ffda51</Title>
<!-- <Corner>#aaaaaa</Corner> -->

Then, menu > Shutdown > Refresh desktop
And re-run JWM configuration.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
charlie6

Joined: 30 Jun 2008
Posts: 992
Location: South of Belgium

PostPosted: Thu 19 Aug 2010, 11:23    Post subject: Re: misc fonts
Subject description: /invalidfont in /findfont error while opening a .ps file
 

Hi shinobar,
Got a try on misc_fonts.tar.gz
shinobar wrote:

...Extract the attached and find '/usr/share/fonts/misc'. Place the whole directory 'misc' at the corresponding place.

So I got:
Code:
#pwd
/usr/share/fonts
#ls
default   misc


Quote:
After that, you may have to run on the virtual terminal:
Code:
fc-chace


Here I ran
Code:
fc-cache
instead (thought it is -cache in place of -chace)

Quote:
You can see them by 'Gfontsel' at the Desktop Applets on the menu.

Indeed there it is!

But...
I got exactly the same message as on top of this page
Code:
 .../invalidfont in /findfont.....


thanks in advance for your time
Cheers, Charlie
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 3 of 15 [221 Posts]   Goto page: Previous 1, 2, 3, 4, 5, ..., 13, 14, 15 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1016s ][ Queries: 13 (0.0064s) ][ GZIP on ]